function X = generateCameraRotTrans(par)
%function generates the Rotation Matrix and Translation Vector of a camera
%at distinct points
%Input:
%   par: matrix with arbitray rows containing [angle1 rot1_axis_x
%           rot1_axis_y rot1_axis_z trans1_x trans1_y trans1_y]
%           angle1 in rad
%           trans in world coordinates
%
%Output:
%   X: X = [R T] where R is of size 3x3 and T is of size 3x1.

%initialize output
X = zeros(1, 4);

if norm(par(1,2:4)) ~= 0
     a = par(1,2:4)./norm(par(1,2:4))*par(1,1);
     X(1:3,1:3) = expm(skew(a));
else
    X(1:3,1:3) = eye(3,3);
end
   
X(1:3,4) = X(1:3,1:3)*par(1,5:7)';
