function out = generateCameraRotTransInv(cam)
%function generates the Motion Vector of a camera 
%
%Input:
%   X: X = [R T] where R is of size 3x3 and T is of size 3x1.
%this function performs the inverse operation of generateCameraRotTrans
%
%Iutput:
%   par: matrix with arbitray rows containing [angle1 rot1_axis_x
%           rot1_axis_y rot1_axis_z trans1_x trans1_y trans1_y]
%           angle1 in rad
%           trans in world coordinates

v = convertRot2Vec(cam(1:3,1:3));
out = [norm(v) v' cam(1:3,4)'*cam(+1:3,1:3)];
